Package relaxngcc.datatype

# Class ParserRuntime

java.lang.Object
relaxngcc.datatype.parser.NGCCRuntime
relaxngcc.datatype.ParserRuntime

All Implemented Interfaces:
  `ContentHandler`, `NGCCEventSource`

public final class ParserRuntime extends NGCCRuntime
Parses a datatype definition file.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Method Summary

Modifier and Type
Method
Description
`void`
`createDatatype(String name, String javaType, ArrayList resources, Macro m)`
`void`
`createResource(String name, Macro m)`
Creates a new Resource object.
`relaxngcc.datatype.Resource`
`getResource(String resName)`
Obtains a reference to a resource.
`void`
`setURI(String uri)`

### Methods inherited from class relaxngcc.datatype.parser.NGCCRuntime

`characters, consumeAttribute, endDocument, endElement, endPrefixMapping, getAttributeIndex, getCurrentAttributes, getLocator, ignorableWhitespace, onEnterElementConsumed, onLeaveElementConsumed, processingInstruction, processList, redirectSubtree, replace, reset, resolveNamespacePrefix, sendEnterAttribute, sendEnterElement, sendLeaveAttribute, sendLeaveElement, sendText, setDocumentLocator, setRootHandler, skippedEntity, startDocument, startElement, startPrefixMapping, trace, traceln`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Method Details

### setURI

public void setURI(String uri)

### createResource

public void createResource(String name, Macro m) throws SAXException
Creates a new Resource object.

Throws:
  `SAXException`

### getResource

public relaxngcc.datatype.Resource getResource(String resName) throws SAXException
Obtains a reference to a resource.

Returns:
  non-null valid object.
Throws:
  `SAXException`

### createDatatype

public void createDatatype(String name, String javaType, ArrayList resources, Macro m) throws SAXException

Throws:
  `SAXException`